Dist::Zilla::Plugin::FileFinder::Filter(3)

NAME
Dist::Zilla::Plugin::FileFinder::Filter - filter matches from other FileFinders

VERSION
version 4.300016

SYNOPSIS
In your dist.ini:

  [FileFinder::Filter / MyFiles]
  finder = :InstallModules ; find files from :InstallModules
  finder = :ExecFiles      ; or :ExecFiles
  skip  = ignore           ; that don't have "ignore" in the path

DESCRIPTION
FileFinder::Filter is a FileFinder that selects files by filtering the selections of other FileFinders.

You specify one or more FileFinders to generate the initial list of files. Any file whose pathname matches any of the "skip" regexs is removed from that list.

ATTRIBUTES

  finder
A FileFinder to supply the initial list of files. May occur multiple times.

  skip
The pathname must not match any of these regular expressions. May occur multiple times.

CREDITS
This plugin was originally contributed by Christopher J. Madsen.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.